aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xcontrib/jenkins_bts_model.sh4
-rw-r--r--contrib/jenkins_lc15.sh37
2 files changed, 41 insertions, 0 deletions
diff --git a/contrib/jenkins_bts_model.sh b/contrib/jenkins_bts_model.sh
index 58eac5b1..c44daa7e 100755
--- a/contrib/jenkins_bts_model.sh
+++ b/contrib/jenkins_bts_model.sh
@@ -18,6 +18,10 @@ case "$bts_model" in
./contrib/jenkins_oct.sh
;;
+ lc15)
+ ./contrib/jenkins_lc15.sh
+ ;;
+
trx)
./contrib/jenkins_bts_trx.sh
;;
diff --git a/contrib/jenkins_lc15.sh b/contrib/jenkins_lc15.sh
new file mode 100644
index 00000000..a0eef43a
--- /dev/null
+++ b/contrib/jenkins_lc15.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+# shellcheck source=contrib/jenkins_common.sh
+. $(dirname "$0")/jenkins_common.sh
+
+osmo-build-dep.sh libosmocore
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+osmo-build-dep.sh libosmo-abis
+
+cd "$deps"
+if ! test -d litecell15-fw;
+then
+ git clone https://gitlab.com/nrw_litecell15/litecell15-fw.git
+fi
+
+cd litecell15-fw
+git fetch origin
+git reset --hard origin/$FIRMWARE_VERSION
+
+cd "$base"
+
+set +x
+echo
+echo
+echo
+echo " =============================== osmo-bts-lc15 ==============================="
+echo
+set -x
+
+autoreconf --install --force
+./configure --with-openbsc="$deps/openbsc/openbsc/include" --with-litecell15="$deps/litecell15-fw/" --enable-litecell15
+$MAKE "$PARALLEL_MAKE"
+$MAKE check || cat-testlogs.sh
+DISTCHECK_CONFIGURE_FLAGS="--with-litecell15=$deps/litecell15-fw/ --with-openbsc=$deps/openbsc/openbsc/include --enable-litecell15" $MAKE distcheck || cat-testlogs.sh